-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Stephan Richter wrote:
> On Tuesday 16 September 2008, Marius Gedminas wrote:
>> Is that ElementTree that was only included from Python 2.5?  In other
>> words, z3c.pt + python2.4 - lxml = fail?
> 
> I guess we have to figure out a clever way to make a special extra requires 
> for Python 2.4, since elementtree and cElementTree are available in PyPI.

Something like this in setup.py?:

  extra_requires = []
  import sys
  if sys.version_info[0:2] < (2, 5):
      extra_requires.append(...)


Tres.
- --
===================================================================
Tres Seaver          +1 540-429-0999          [EMAIL PROTECTED]
Palladion Software   "Excellence by Design"    http://palladion.com
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFIz+ky+gerLs4ltQ4RAm4pAKCTmb/ZjE3sGI8MedXfaS7Him4YZQCgxXni
RjpGBYa3JXTmt0ERUx6zwdY=
=2XYw
-----END PGP SIGNATURE-----

_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
http://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-announce
 http://mail.zope.org/mailman/listinfo/zope )

Reply via email to